Skip to content

List function consequences

GET https://api.moalmanac.org/function_consequences

Retrieves Function Consequences from the database.

Parameters

Name Type Description Example
function_consequence_id string Return only the function consequence with this id.

Example request

curl "https://api.moalmanac.org/function_consequences"

Response

Returns the standard response envelope, with data set to a list of FunctionConsequence records.

Example response
{
  "meta": {
    "data_length": 1,
    "message": "Function consequences retrieved successfully",
    "request_url": "https://api.moalmanac.org/function_consequences",
    "status": "success",
    "status_code": 200,
    "timestamp_elapsed": 0.012345,
    "timestamp_received": "2026-10-16T14:03:12.123456Z",
    "timestamp_returned": "2026-10-16T14:03:12.135801Z",
    "trace_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  },
  "service": {
    "github": "https://github.com/vanallenlab/moalmanac-db",
    "name": "Molecular Oncology Almanac",
    "license": "GPL-2.0",
    "release": "draft",
    "url": "https://moalmanac.org",
    "last_updated": "2026-10-08"
  },
  "data": [
    {
      "id": "func:so:0001786",
      "name": "Loss of heterozygosity",
      "primaryCoding": {
        "id": "coding:so:0001786",
        "name": "loss_of_heterozygosity",
        "system": "https://www.ebi.ac.uk/ols4/ontologies/so",
        "code": "SO:0001786",
        "iris": [
          "https://www.ebi.ac.uk/ols4/ontologies/so/classes/http%253A%252F%252Fpurl.obolibrary.org%252Fobo%252FSO_0001786"
        ]
      }
    }
  ]
}